=== pkg/debian/changelog ===
salt (3007.5) stable; urgency=medium


  # Fixed

  * Zeromq RequestServer continues to serve requests after encountering an
    un*handled exception [#66519](https://github.com/saltstack/salt/issues/66519)
  * * Added support for `icmpv6-type` to salt.modules.nftables [#67882](https://github.com/saltstack/salt/issues/67882)


 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Thu, 26 Jun 2025 18:22:57 +0000

salt (3006.13) stable; urgency=medium

  # Fixed

  * Return target path for symlinks and junctions on Windows [#54484](https://github.com/saltstack/salt/issues/54484)
  * Fixed `Pillar payload signature failed to validate` error on master failover [#62318](https://github.com/saltstack/salt/issues/62318)
  * Fixes an issue running powershell commands that begin with parenthesis or
    other commands that do not require an ampersand [#67190](https://github.com/saltstack/salt/issues/67190)
  * Make x509 module compatible with M2Crypto 0.44.0. [#67782](https://github.com/saltstack/salt/issues/67782)
  * Fix syndic event forwarding [#67936](https://github.com/saltstack/salt/issues/67936)
  * Fix cp.push module function and its integration test [#67941](https://github.com/saltstack/salt/issues/67941)
  * logging regression: fix loglines/findCaller introspection [#68057](https://github.com/saltstack/salt/issues/68057)
  * Handle git@github.com:saltstack/salt style remotes in remote url validation [#68069](https://github.com/saltstack/salt/issues/68069)
  * Fix GitFS file_find for file in sub-directories [#68072](https://github.com/saltstack/salt/issues/68072)
  * Fix install in Ubuntu 24.04 noble Docker by using groupadd rather than addgroup. [#68073](https://github.com/saltstack/salt/issues/68073)
  * Token validation removes token from request handler payload [#68076](https://github.com/saltstack/salt/issues/68076)
  * Fix minion connectivity issues by ensuring auth notices refreshed session token [#68079](https://github.com/saltstack/salt/issues/68079)
  * Fix file_recv path verification to allow subdirs used by cp.push [#68087](https://github.com/saltstack/salt/issues/68087)
  * Fixes an issue on Windows where cmd.run wasn't handling commands sent as a
    list [#68095](https://github.com/saltstack/salt/issues/68095)
  * Disconnect ipc clients that stop consuming [#68114](https://github.com/saltstack/salt/issues/68114)


 -- Salt Project Packaging <saltproject-packaging@vmware.com>  Thu, 26 Jun 2025 01:12:53 +0000

salt (3007.4) stable; urgency=medium

  # Fixed

  * CVE-2024-38822
    Multiple methods in the salt master skip minion token validation. Therefore a misbehaving minion can impersonate another minion.

    CVSS 2.7 V:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:N

    CVE*2024-38823
    Salt's request server is vulnerable to replay attacks when not using a TLS encrypted transport.

    CVSS Score 2.7 AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:N

    CVE*2024-38824
    Directory traversal vulnerability in recv_file method allows arbitrary files to be written to the master cache directory.

    CVSS Score 9.6 AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:N

    CVE*2024-38825
    The salt.auth.pki module does not properly authenticate callers. The "password" field contains a public certificate which is validated against a CA certificate by the module. This is not pki authentication, as the caller does not need access to the corresponding private key for the authentication attempt to be accepted.

    CVSS Score 6.4 AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:N

    CVE*2025-22236
    Minion event bus authorization bypass. An attacker with access to a minion key can craft a message which may be able to execute a job on other minions (>= 3007.0).

    CVSS 8.1 AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:L

    CVE*2025-22237
    An attacker with access to a minion key can exploit the 'on demand' pillar functionality with a specially crafted git url which could cause and arbitrary command to be run on the master with the same privileges as the master process.

    CVSS 6.7 AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

    CVE*2025-22238
    Directory traversal attack in minion file cache creation. The master's default cache is vulnerable to a directory traversal attack. Which could be leveraged to write or overwrite 'cache' files outside of the cache directory.

    CVSS 4.2 AV:L/AC:L/PR:H/UI:R/S:U/C:N/I:H/A:N

    CVE*2025-22239
    Arbitrary event injection on Salt Master. The master's "_minion_event" method can be used by and authorized minion to send arbitrary events onto the master's event bus.

    CVSS 8.1 AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:L

    CVE*2025-22240
    Arbitrary directory creation or file deletion. In the find_file method of the GitFS class, a path is created using os.path.join using unvalidated input from the “tgt_env” variable. This can be exploited by an attacker to delete any file on the Master's process has permissions to

    CVSS 6.3 AV:L/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H

    CVE*2025-22241
    File contents overwrite the VirtKey class is called when “on*demand pillar” data is requested and uses un-validated input to create paths to the “pki directory”. The functionality is used to auto-accept Minion authentication keys based on a pre-placed “authorization file” at a specific location and is present in the default configuration.

    CVSS 5.6 AV:L/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:N

    CVE*2025-22242
    Worker process denial of service through file read operation. .A vulnerability exists in the Master's “pub_ret” method which is exposed to all minions. The un*sanitized input value “jid” is used to construct a path which is then opened for reading. An attacker could exploit this vulnerabilities by attempting to read from a filename that will not return any data, e.g. by targeting a pipe node on the proc file system.

    CVSS 5.6 AV:L/AC:H/PR:H/UI:R/S:U/C:H/I:N/A:H

    This release also includes sqlite 3.50.1 to address CVE*2025-29087 [#68033](https://github.com/saltstack/salt/issues/68033)


